# Interface ITextHoverExtension2

public interface ITextHoverExtension2
Extension interface for `ITextHover`.

Provides a way for hovers to return hover-specific information objects.

Since:
  3.4
See Also:
  - `ITextHover`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getHoverInfo2(ITextViewer textViewer, IRegion hoverRegion)`
Returns the information which should be presented when a hover popup is shown for the specified hover region.

## Method Details

### getHoverInfo2

Object getHoverInfo2(ITextViewer textViewer, IRegion hoverRegion)
Returns the information which should be presented when a hover popup is shown for the specified hover region. The hover region has the same semantics as the region returned by `ITextHover.getHoverRegion(ITextViewer, int)`. If the returned information is `null`, no hover popup will be shown.

Note: Implementers have to ensure that `ITextHoverExtension.getHoverControlCreator()` returns `IInformationControl`s that implement `IInformationControlExtension2` and whose `IInformationControlExtension2.setInput(Object)` can handle the information objects returned by this method.

Callers should ignore the text returned by `ITextHover.getHoverInfo(ITextViewer, IRegion)`.

Parameters:
  `textViewer` - the viewer on which the hover popup should be shown
  `hoverRegion` - the text range in the viewer which is used to determine the hover display information
Returns:
  the hover popup display information, or `null` if none available